# Dojo 3D Portrayal Client 

![](figures/new-york.jpg)
This is a 3D Portrayal Service client that is compatible with an extended version of the [3D Portrayal Service](https://www.ogc.org/standards/3dp) that can consume an [i3s](https://github.com/Esri/i3s-spec) layer in [Cesium](https://cesium.com) globe.


## Installing

The client is implemented using the [Dojo Toolkit](https://dojotoolkit.org). Place the contents of the repository in a folder and use a web server to publish it.

## Usage

You can alter the default host, port and service endpoint. Click on the Set button and pick two point on the Cesium viewer to define a bounding box. Then, just navigate in the scene. If you freeze the scene, then no additional requests to the service are made while you navigate the scene.

Layers available in the default host:
* Hamburg buildings
* Berlin buildings
* New York buildings
* Portland buildings
* Boston buildings
* Geneva buildings